<?php
/**
 * Template part - Projects Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bodyfit
 */
    $bodyfit_projects_title = get_theme_mod('bodyfit-projects_title');
    $bodyfit_projects_section     = get_theme_mod( 'bodyfit_projects_section_hideshow','hide');
    
    $bodyfit_projects_no        = 8;
    $bodyfit_projects_pages      = array();
    
    for( $i = 1; $i <= $bodyfit_projects_no; $i++ ) {
      $bodyfit_projects_pages[]    =  get_theme_mod( "bodyfit_projects_page_$i", 1 );
    }

    $bodyfit_projects_args  = array(
      'post_type' => 'page',
      'post__in' => array_map( 'absint', $bodyfit_projects_pages ),
      'posts_per_page' => absint($bodyfit_projects_no),
      'orderby' => 'post__in'
    ); 
      
    $bodyfit_projects_query = new   wp_Query( $bodyfit_projects_args );
    if( $bodyfit_projects_section == "show") :
?>
    <div class="section ">
        <div class="container relative photo-sport">
            <div class="title-block title-gym">
                <?php if($bodyfit_projects_title != "")   {  ?>
                      <h2 class="title"><?php echo esc_html(get_theme_mod('bodyfit-projects_title')); ?></h2>
                <?php } ?>
                <div class="sub-title">
                    <?php echo  esc_html(get_theme_mod('bodyfit-projects_subtitle')); ?>
                </div>
            </div>
            <div class="nav-slider-min nav-slider-min-left  portfolio-navi  portfolio-prev"><i class="fa fa-angle-left"></i></div>
            <div class="nav-slider-min nav-slider-min-right portfolio-navi  portfolio-next"><i class="fa fa-angle-right"></i></div>
        </div>
        <div class="swiper-container" data-autoplay="0" data-loop="1" data-speed="500" data-center="0"
            data-slides-per-view="responsive" data-xs-slides="1" data-sm-slides="3" data-md-slides="4" data-lg-slides="5"
            data-add-slides="5">
            <div class="swiper-wrapper ">
                 <?php
                    if($bodyfit_projects_query->have_posts()):
                        while($bodyfit_projects_query->have_posts()) :
                        $bodyfit_projects_query->the_post();
                    ?>
                <div class="swiper-slide slide-portfolio">
                    <div class="gallery-box">
                        <a href="<?php the_post_thumbnail_url('dignify-portfolio-thumbnail'); ?>" class="fancybox" data-fancybox="gallery" data-caption="<?php esc_attr__('Caption for single image','bodyfit') ?>">
                            <?php the_post_thumbnail('dignify-portfolio-thumbnail'); ?> 
                        </a>
                    </div>
                </div>
                <?php
                    endwhile;
                    wp_reset_postdata();
                    endif;
                ?>  
            </div>
            <div class="pagination pagination-hide"></div>
        </div>
    </div>
    </section>
<?php
    endif;
?>