<?php
/**
 * Template part - Service Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bodyfit
 */
    $bodyfit_services_title = get_theme_mod('bodyfit-services_title');
	$bodyfit_services_section     = get_theme_mod( 'bodyfit_services_section_hideshow','hide');
	$bodyfit_col_layout         = get_theme_mod( 'bodyfit_service_col_layout', '4' );
	$bodyfit_service_no_excerpt = get_theme_mod('bodyfit_service_no_excerpt');
	 
	$bodyfit_services_no        = 8;
	$bodyfit_services_pages      = array();
	$bodyfit_services_icons     = array();
	for( $i = 1; $i <= $bodyfit_services_no; $i++ ) {
		$bodyfit_services_pages[]    =  get_theme_mod( "bodyfit_service_page_$i", 1 );
		$bodyfit_services_icons[]    = get_theme_mod( "bodyfit_page_service_icon_$i", '' );
	}

    $bodyfit_services_args  = array(
      'post_type' => 'page',
      'post__in' => array_map( 'absint', $bodyfit_services_pages ),
      'posts_per_page' => absint($bodyfit_services_no),
      'orderby' => 'post__in'
     
    ); 
    
    $bodyfit_services_query = new   wp_Query( $bodyfit_services_args );
    if( $bodyfit_services_section == "show"  ) :
?>
	<div class="section padding-bottom-0">
        <div class="container">
        	<div class="title-block title-gym">
                <?php if($bodyfit_services_title != "")   {  ?>
                      <h2 class="title"><?php echo esc_html(get_theme_mod('bodyfit-services_title')); ?></h2>
                <?php } ?>
                <div class="sub-title">
                    <?php echo esc_html(get_theme_mod('bodyfit-services_subtitle')); ?>
                </div>
            </div>
            <div class="row gym-info">
            	<?php
			    if($bodyfit_services_query->have_posts()):
			        $count = 0;
			        while($bodyfit_services_query->have_posts()) :
			        $bodyfit_services_query->the_post();
			    ?>
                <div class="col-md-<?php echo esc_attr($bodyfit_col_layout); ?> medical-col">
                    <?php 
						   if($bodyfit_services_icons[$count] !=""){
					    ?>
	                    	<span class="fa <?php echo esc_html($bodyfit_services_icons[$count]); ?>"></span>
	                    <?php 
						} 
						?>
                    <a href="<?php the_permalink() ?>">
	                    	<h3 class="middle-title title-no-line "><?php the_title(); ?></h3>
	                	</a>
                    <?php the_excerpt(); ?>
                </div>
                <?php
			        $count = $count + 1;
			        endwhile;
			        wp_reset_postdata();
			    endif;
			    ?>  
            </div>
        </div>
    </div>
<?php
    endif;
?>