<?php
/**
 * Template part - Features Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bodyfit
 */

    $bodyfit_slider_section     = get_theme_mod( 'bodyfit_slider_section_hideshow','hide');
    
    $bodyfit_slider_no        = 3;
    $bodyfit_slider_pages      = array();
    for( $i = 1; $i <= $bodyfit_slider_no; $i++ ) {
        $bodyfit_slider_pages[]    =  get_theme_mod( "bodyfit_slider_page_$i", 1 );
        $bodyfit_slider_btntxt[]    =  get_theme_mod( "bodyfit_slider_btntxt_$i", '' );
        $bodyfit_slider_btnurl[]    =  get_theme_mod( "bodyfit_slider_btnurl_$i", '' );
    }

    $bodyfit_slider_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $bodyfit_slider_pages ),
        'posts_per_page' => absint($bodyfit_slider_no),
        'orderby' => 'post__in'
    ); 
    
    $bodyfit_slider_query = new wp_Query( $bodyfit_slider_args );

    if ($bodyfit_slider_section =='show' && $bodyfit_slider_query->have_posts() ) { ?>

<!-- Start Slider Section -->
    <div class="banner full-height-banner banner-type-3 gym-slider banner-type-left">
        <div class="swiper-container full-height-slider" data-autoplay="0" data-loop="1" data-speed="500" data-center="0"
            data-slides-per-view="1">
            <div class="swiper-wrapper ">
                <?php
                    $count = 0;
                    while($bodyfit_slider_query->have_posts()) :
                    $bodyfit_slider_query->the_post();
                ?>
                <div class="swiper-slide full-height-slide" <?php if(has_post_thumbnail()) : ?> style="background-image: url(<?php the_post_thumbnail_url('bodyfit-slider-thumbnail'); ?>);" <?php endif; ?>)">
                    <div class="overlay "></div>
                    <div class="container">
                        <div class="center center-right">
                            <h1 class="slide-title"><?php the_title(); ?></h1>
                            <div class="slider-sub-title"><?php the_content(); ?></div>
                            <div class="button-row center-row">
                                <?php if (!empty($bodyfit_slider_btntxt[$count])) { ?>
                                            <a href="<?php echo esc_url($bodyfit_slider_btnurl[$count]); ?>" class="button-type-4"><?php echo esc_html($bodyfit_slider_btntxt[$count]); ?></a>
                                        <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                    $count = $count + 1;
                    endwhile;
                    wp_reset_postdata();
                ?>  
            </div>
            <div class="pagination pagination-white pagination-bottom  "></div>
            <div class="nav-slider-min nav-slider-min-left arrow-type-1 swiper-arrow-left"><i class="fa fa-angle-left"></i></div>
            <div class="nav-slider-min nav-slider-min-right  arrow-type-1 swiper-arrow-right"><i class="fa fa-angle-right"></i></div>
        </div>
    </div>
<!-- End Slider Section -->
<?php } ?>