<?php
/**
 * Template Name: Full-width Page Template, No Sidebar
 *
 * Description: Use this page template to remove the sidebar from any page.
 * @package bodyfit
 */
?>

<?php get_header(); 
 
?>
   
  <!--  Page-title -->
   <div class="banner banner-template">
        <div class="container">
            <div class="title-header">
                <h1><?php wp_title(''); ?></h1>
            </div>
        </div>
        <div class="scroll-to mouse">
            <span></span>
        </div>
        <div class="clip">
            <div class="bg bg-bg" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>></div>
        </div>
        <div class="overlay"></div>
    </div>

    
<!-- End page-title -->


<!-- Main Content Section -->
    <main class="main-blog start-block">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 col-md-12 abt">
                    <?php if(have_posts()) : ?>
                        <?php while(have_posts()) : the_post(); ?>
                            <div class="post">
                                <?php if(has_post_thumbnail()) : ?>
                                    <a href="<?php the_permalink(); ?>" class="post-img-link">
                                        <?php the_post_thumbnail('bodyfit-page-thumbnail', array('class' => 'img-responsive')); ?>
                                    </a>
                                <?php endif; ?>
                        
                                <div class="abt-content">
                                    <?php the_content(); ?>                 
                                </div>
                            </div>
                        <?php endwhile; ?>
                         <!-- comments -->
                        <div class="comment-box">
                            <?php 
                                if ( comments_open() || get_comments_number() ) :
                                    comments_template();
                                endif; 
                            ?> 
                        </div>
                        <!-- End comments -->                 
                    <?php else :  
                        get_template_part( 'info-parts/content', 'none' );
                     endif; ?>
                </div>
            </div>
        </div>
    </main>
    <!-- Main Content Section -->
<?php get_footer(); ?>