<?php 
/**
 * The header for our theme.
 *
 * Displays all of the <head> section 
 *
 * @package bodyfit
 */
 ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php endif; ?>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
   
   <!-- LOADER 
    <div id="loader-wrapper">
        <div id="loader"></div>
    </div>-->
    <div class="head-panel">
        <div class="container clearfix">
            <?php  
                $bodyfit_header_section = get_theme_mod('bodyfit_header_section_hideshow' ,'hide');
                if ($bodyfit_header_section =='show') { 
                $bodyfit_hours_value = get_theme_mod('bodyfit_header_hours_value');
                $bodyfit_phone_value = get_theme_mod('bodyfit_header_phone_value');
                $bodyfit_email_value = get_theme_mod('bodyfit_header_email_value');
                $bodyfit_social_link_1 = get_theme_mod('bodyfit_header_social_link_1');
                $bodyfit_social_link_2 = get_theme_mod('bodyfit_header_social_link_2');
                $bodyfit_social_link_3 = get_theme_mod('bodyfit_header_social_link_3');
                $bodyfit_social_link_4 = get_theme_mod('bodyfit_header_social_link_4');
                $bodyfit_social_link_5 = get_theme_mod('bodyfit_header_social_link_5');
            ?>
            <div class="sport-info-link">
                <?php if (!empty($bodyfit_hours_value)) { ?>
                    <a><i class="fa fa-clock-o"></i><?php echo esc_html($bodyfit_hours_value); ?></a>                
                <?php } ?>
                <?php if (!empty($bodyfit_phone_value)) { ?>
                     <a><i class="fa fa-phone"></i> <?php echo esc_html($bodyfit_phone_value); ?></a>              
                <?php } ?>
                                
                <?php if (!empty($bodyfit_email_value)) { ?>
                    <a><i class="fa fa-envelope-o"></i><?php echo esc_html($bodyfit_email_value); ?></a>                
                <?php } ?>
            </div>
            <?php } ?>
            <div class="ftr-social">
                <?php 
                    if (!empty($bodyfit_social_link_1)) { ?>
                        <a href="<?php echo esc_url($bodyfit_social_link_1); ?>">
                            <i class="fa fa-facebook" aria-hidden="true"></i>
                        </a>
                <?php } 
                    if (!empty($bodyfit_social_link_2)) { ?>
                        <a href="<?php echo esc_url($bodyfit_social_link_2); ?>">
                            <i class="fa fa-twitter" aria-hidden="true"></i>
                        </a>
                <?php } 
                    if (!empty($bodyfit_social_link_3)) { ?>
                        <a href="<?php echo esc_url($bodyfit_social_link_3); ?>">
                            <i class="fa fa-linkedin" aria-hidden="true"></i>
                        </a>
                <?php } 
                    if (!empty($bodyfit_social_link_4)) { ?>
                        <a href="<?php echo esc_url($bodyfit_social_link_4); ?>">
                            <i class="fa fa-youtube" aria-hidden="true"></i>
                        </a>
                <?php } 
                    if (!empty($bodyfit_social_link_5)) { ?>
                        <a href="<?php echo esc_url($bodyfit_social_link_5); ?>">
                            <i class="fa fa-instagram" aria-hidden="true"></i>
                        </a>
                <?php } ?>
            </div>
        </div>
    </div>
    <!-- HEADER -->
    <header class="header header-type-2 gym-header ">
        <div class="container">
            <div class="nav-panel clearfix">
                <a class="logo">
                    <?php if (has_custom_logo()) : ?> 
                        <span><?php the_custom_logo(); ?></span>
                    <?php else : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"  >
                        <span class="site-title"><?php bloginfo( 'title' ); ?></span></a>
                    <?php endif;?>
                </a>
                <div class="info-panel">
                    <a class="open-menu"><i class="fa fa-bars"></i></a>
                </div>
                <nav class="nav">
                        <?php wp_nav_menu(
                        array(
                            'container'        => 'ul', 
                            'theme_location'    => 'primary', 
                            'menu_class'        => '', 
                            'items_wrap'        => '<ul>%3$s</ul>',
                            'fallback_cb'       => 'bodyfit_wp_bootstrap_navwalker::fallback',
                            'walker'            => new bodyfit_wp_bootstrap_navwalker()
                        )
                    ); 
                    ?>         
                    <a class="close-menu">
                        <i class="fa fa-times"></i>
                    </a>
                </nav>
            </div>
        </div>
    </header>