<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package bodyfit
 */
 get_header(); 

?>
<!--  Page-title -->

    <div class="banner banner-template">
        <div class="container">
            <div class="title-header">
                <h1><?php wp_title(''); ?></h1>
            </div>
        </div>
        <div class="scroll-to mouse">
            <span></span>
        </div>
        <div class="clip">
            <div class="bg bg-bg" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>></div>
        </div>
        <div class="overlay"></div>
    </div>
    
<!-- End page-title -->


<!-- Main Content Section -->
  	
	<main class="main-blog start-block">
        <div class="container">
            <div class="row">
                <div class="col-sm-8 col-md-9">
                    <?php if(have_posts()) : ?>
                        <?php while(have_posts()) : the_post(); ?>
                            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                <?php get_template_part('info-parts/content', get_post_format()); ?>
                            </div>
                        <?php endwhile; ?>
                    <?php else :  
                        get_template_part( 'info-parts/content', 'none' );
                    endif; ?>
                    <div class="post-pagination">
                       <?php the_posts_pagination(
                                array(
                                   'prev_text' =>esc_html__('&laquo;','bodyfit'),
                                    'next_text' =>esc_html__('&raquo;','bodyfit')
                                )
                            ); ?>
					</div>		
                     
                </div>
                <div class="col-sm-4 col-md-3">
                    <?php get_sidebar(); ?>  
                </div>
            </div>
        </div>
    </main>
    <!-- Main Content Section -->
<?php get_footer(); ?>