<?php
/**
 * The template for displaying search results pages.
 *
 * @package bodyfit
 */
get_header();

?>
<!--  Page-title -->

    <div class="banner banner-template">
        <div class="container">
            <div class="title-header">
               <?php if ( have_posts() ) : ?>
                <h1> 
                   <?php 
                    /* translators: %s: search term */
                    printf( esc_html__( 'Search Results for : %s', 'bodyfit' ), '<span>' . get_search_query() . '</span>' ); ?>
                </h1>
              <?php else : ?>
                <h1><?php
                    /* translators: %s: nothing found term */
                    printf( esc_html__( 'Nothing Found for: %s', 'bodyfit' ), '<span>' . get_search_query() . '</span>' ); ?>
                </h1>
              <?php endif; ?>
            </div>
        </div>
        <div class="scroll-to mouse">
            <span></span>
        </div>
        <div class="clip">
            <div class="bg bg-bg" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>></div>
        </div>
        <div class="overlay"></div>
    </div>
    
<!-- End page-title -->


<!-- Main Content Section -->
  	
	<main class="main-blog start-block">
        <div class="container">
            <div class="row">
                <div class="col-sm-8 col-md-9">
                    <?php if(have_posts()) : ?>
                        <?php while(have_posts()) : the_post(); ?>
                            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                                <?php get_template_part('info-parts/content', get_post_format()); ?>
                            </div>
                        <?php endwhile; ?>
                    <?php else :  
                        get_template_part( 'info-parts/content', 'none' );
                    endif; ?>
                    <div class="post-pagination">
                       <?php the_posts_pagination(
                                array(
                                  'prev_text' =>'<i class="fa fa-chevron-left"></i>',
                                  'next_text' =>'<i class="fa fa-chevron-right"></i>'
                                )
                            ); ?>
                    </div>
                </div>
                <div class="col-sm-4 col-md-3">
                    <?php get_sidebar(); ?>  
                </div>
            </div>
        </div>
    </main>		
	
<!-- Main Content Section -->
<?php get_footer(); ?>